stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Types.CompilerBuild

Synopsis

- data CompilerBuild
  - = CompilerBuildStandard
  - | CompilerBuildSpecialized String
- compilerBuildName :: CompilerBuild -> String
- compilerBuildSuffix :: CompilerBuild -> String
- parseCompilerBuild :: MonadThrow m => String -> m CompilerBuild

# Documentation

data CompilerBuild #

Constructors

CompilerBuildStandard |
CompilerBuildSpecialized String |

Instances

Show CompilerBuild # |
Methods showsPrec :: Int -> CompilerBuild -> ShowS # show :: CompilerBuild -> String # showList :: [CompilerBuild] -> ShowS #
FromJSON CompilerBuild # |
Methods parseJSON :: Value -> Parser CompilerBuild # parseJSONList :: Value -> Parser [CompilerBuild] #

compilerBuildName :: CompilerBuild -> String #

Descriptive name for compiler build

compilerBuildSuffix :: CompilerBuild -> String #

Suffix to use for filenames/directories constructed with compiler build

parseCompilerBuild :: MonadThrow m => String -> m CompilerBuild #

Parse compiler build from a String.